﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;

namespace ThinkGeo.MapSuite.Core
{
    public class DynamicGridFeatureSource : InMemoryGridFeatureSource
    {
        public DynamicGridFeatureSource()
            : base()
        { }
               
        protected override Collection<Feature> GetFeaturesInsideBoundingBoxCore(RectangleShape boundingBox, IEnumerable<string> returningColumnNames)
        {
            Collection<Feature> features = base.GetFeaturesInsideBoundingBoxCore(boundingBox, returningColumnNames);
            
            foreach (Feature f in features)
            {
                string tmpValue = f.ColumnValues["CellValue"];

                f.ColumnValues["CellValue"] = double.Parse(tmpValue, CultureInfo.InvariantCulture).ToString(CultureInfo.CurrentCulture);
            }

            return features;
        }
    }
}